Bug 113474 - Ports/App depending of devel/boost broken in -CURRENT because of GCC 4.2
Summary: Ports/App depending of devel/boost broken in -CURRENT because of GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-08 09:40 UTC by Romain LE DISEZ
Modified: 2007-07-04 16:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romain LE DISEZ 2007-06-08 09:40:07 UTC
Because of a bug in boost 1.33, it's not possible to compile an application depending of net/boost with GCC 4.2 which is the default now in -CURRENT. The bug is described here : http://svn.boost.org/trac/boost/ticket/779

Fix: 

It seems it is fixed in boost 1.34.
How-To-Repeat: Install devel/boost and try to compile an application that depend on it (eg: net-p2p/deluge).

You get this error :
In file included from /usr/local/include/boost/detail/atomic_count.hpp:97,
                 from ./libtorrent/include/libtorrent/peer_connection.hpp:55,
                 from ./libtorrent/include/libtorrent/alert_types.hpp:39,
                 from src/deluge_core.cpp:40:
/usr/local/include/boost/detail/atomic_count_gcc.hpp:20:28: error: bits/atomicity.h: No such file or directory
Comment 1 Edwin Groothuis freebsd_committer 2007-06-08 09:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-06-09 13:49:01 UTC
miwi        2007-06-09 12:48:54 UTC

  FreeBSD ports repository

  Modified files:
    print/cups-pstoraster Makefile 
  Added files:
    print/cups-pstoraster/files extra-patch-lib_cidfmap 
  Log:
  - Add japanese font
  
  PR:             113474
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru> (maintainer)
  Thanks to:      ume@
  
  Revision  Changes    Path
  1.28      +13 -0     ports/print/cups-pstoraster/Makefile
  1.1       +30 -0     ports/print/cups-pstoraster/files/extra-patch-lib_cidfmap (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-06-11 19:59:38 UTC
State Changed
From-To: open->feedback

From misfiled PR ports/113582: 

Date: Mon, 11 Jun 2007 17:31:06 +0200 
Comment 4 Romain LE DISEZ 2007-06-12 08:12:28 UTC
Yes, of course !
Comment 5 Simon Barner freebsd_committer 2007-06-30 09:31:14 UTC
Prelimiary patches that are currently tested can be found here:

http://home.leo.org/~barner/freebsd/boost-1.34.0.patch
http://home.leo.org/~barner/freebsd/boost-1.34.0-shared-libs-bump.patch
Comment 6 dfilter service freebsd_committer 2007-07-04 16:09:12 UTC
barner      2007-07-04 15:09:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost          Makefile distinfo pkg-plist 
  Added files:
    devel/boost/files    patch-boost_detail_atomic_count_gcc.hpp 
                         patch-libs_regex_build_Jamfile.v2 
                         patch-tools_build_v2_tools_common.jam 
                         patch-tools_build_v2_tools_gcc.jam 
                         patch-tools_build_v2_tools_python.jam 
  Removed files:
    devel/boost/files    
                         FBSD4-patch-libs_serialization_src_stl_port.cpp 
                         patch-boost_regex_pending_object_cache.hpp 
                         patch-boost_regex_v4_cpp_regex_traits.hpp 
                         patch-boost_regex_v4_w32_regex_traits.hpp 
                         patch-tools::build::v1::boost-base.jam 
                         patch-tools::build::v1::gcc-stlport-tools.jam 
                         patch-tools::build::v1::gcc-tools.jam 
  Log:
  Update to boost 1.34.0:
  
   - ChangeLog: http://lists.boost.org/boost-announce/2007/05/0131.php
   - Uses Boost.Build v2
   - Fixes build g++ 4.2 (and there for on 7-CURRENT)
   - Port respects CXXFLAGS unless the WITH_OPTIMIZED_CFLAGS option is set
     that enables -O3 optimization and full inlining
  
  Requested by:   many
  PR:             ports/113474 (resolved)
  Obtained from:  http://boost.cvs.sourceforge.net/boost/boost/boost/detail/atomic_count_gcc.hpp?r1=1.5&r2=1.5.8.1
                  via pav
  
  Revision  Changes      Path
  1.38      +51 -49      ports/devel/boost/Makefile
  1.12      +3 -3        ports/devel/boost/distinfo
  1.2       +0 -14       ports/devel/boost/files/FBSD4-patch-libs_serialization_src_stl_port.cpp (dead)
  1.1       +15 -0       ports/devel/boost/files/patch-boost_detail_atomic_count_gcc.hpp (new)
  1.2       +0 -49       ports/devel/boost/files/patch-boost_regex_pending_object_cache.hpp (dead)
  1.2       +0 -74       ports/devel/boost/files/patch-boost_regex_v4_cpp_regex_traits.hpp (dead)
  1.2       +0 -38       ports/devel/boost/files/patch-boost_regex_v4_w32_regex_traits.hpp (dead)
  1.1       +11 -0       ports/devel/boost/files/patch-libs_regex_build_Jamfile.v2 (new)
  1.2       +0 -14       ports/devel/boost/files/patch-tools::build::v1::boost-base.jam (dead)
  1.2       +0 -11       ports/devel/boost/files/patch-tools::build::v1::gcc-stlport-tools.jam (dead)
  1.2       +0 -22       ports/devel/boost/files/patch-tools::build::v1::gcc-tools.jam (dead)
  1.1       +17 -0       ports/devel/boost/files/patch-tools_build_v2_tools_common.jam (new)
  1.1       +29 -0       ports/devel/boost/files/patch-tools_build_v2_tools_gcc.jam (new)
  1.1       +10 -0       ports/devel/boost/files/patch-tools_build_v2_tools_python.jam (new)
  1.17      +1343 -1017  ports/devel/boost/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Simon Barner freebsd_committer 2007-07-04 16:16:53 UTC
State Changed
From-To: feedback->closed

Boost port is at 1.34.0 now.